org.apache.hadoop.yarn.webapp.hamlet

## Enum HamletImpl.EOpt

- java.lang.Object
- - java.lang.Enum<HamletImpl.EOpt>
  - - org.apache.hadoop.yarn.webapp.hamlet.HamletImpl.EOpt

- All Implemented Interfaces:
    Serializable, Comparable<HamletImpl.EOpt>
  Enclosing class:
    HamletImpl

      public static enum HamletImpl.EOpt
      extends Enum<HamletImpl.EOpt>

  Element options. (whether it needs end tag, is inline etc.)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENDTAG` needs end(close) tag
    `INLINE` The content is inline
    `PRE` The content is preformatted

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HamletImpl.EOpt` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HamletImpl.EOpt[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENDTAG

          public static final HamletImpl.EOpt ENDTAG

      needs end(close) tag

    - #### INLINE

          public static final HamletImpl.EOpt INLINE

      The content is inline

    - #### PRE

          public static final HamletImpl.EOpt PRE

      The content is preformatted

  - ### Method Detail

    - #### values

          public static HamletImpl.EOpt[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HamletImpl.EOpt c : HamletImpl.EOpt.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HamletImpl.EOpt valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.